library(stringr)
library(lubridate)
library(readr)
path_annuaire <- paste0("annuaire/export_pauline_", str_sub(today(), 1, 7), ".csv")
if (!file.exists(path_annuaire)) {
  unlink("annuaire", recursive = TRUE)
  dir.create("annuaire")
  download.file(url = "http://annuaire.e2.rie.gouv.fr/index.php?vue=exportcsv&dn=ou=CSD,ou=SCTE,ou=DREAL%20Pays%20Loire,ou=DR,ou=melanie",
                destfile =  path_annuaire, method = "libcurl")
}
annuaire <- readr::read_csv(path_annuaire,col_types = "c")

save.image(file = "path_annuaire.RData")
